> For the complete documentation index, see [llms.txt](https://docs.sonarsource.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonarsource.com/sonarqube-server/10.7/instance-administration/analysis-functions/metrics-parameters.md).

# Code metrics

You can modify in the SonarQube 10.7 UI at the global level some parameters related to the maintainability metrics

You can modify some parameters related to the maintainability metrics at the global level in the SonarQube UI, provided you have the Administer system permission. Alternatively, you can set the corresponding sonar property on the CI/CD host (see [Analysis parameters](/sonarqube-server/10.7/analyzing-source-code/analysis-parameters.md)).

## Changing the software development cost calculation <a href="#dev-cost-calculation" id="dev-cost-calculation"></a>

The development cost of one line of code is used in the Technical debt ratio calculation. To change the default value:

1. In the top navigation bar of SonarQube, select **Administration > Configuration > General settings > Technical Debt**.
2. In **Development cost**, change the values (in minutes).

The corresponding sonar property is `sonar.technicalDebt.developmentCost`.

## Changing the maintainability rating grid <a href="#maintainability-rating" id="maintainability-rating"></a>

To change the default Maintainability rating grid:

1. In the top navigation bar of SonarQube, select **Administration > Configuration > General settings > Technical Debt**.
2. In **Maintainability rating grid**, change the rating definition.

The corresponding sonar property is `sonar.technicalDebt.ratingGrid`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sonarsource.com/sonarqube-server/10.7/instance-administration/analysis-functions/metrics-parameters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
